local MainScene = class("battle_scene")

function MainScene:ctor()
end

function MainScene:init()
	if self.root == nil then
		local gameObject = CS.UnityEngine.GameObject("scene_root")
		self.root = BaseObject:create()
		self.root:initWithGameObject(gameObject)
		self.root:setPosition(0, 0, 0)
	end
	Game:showLoginUI()
end

function MainScene:getRoot()
	return self.root
end

function MainScene:clearAllGameObjects()
	if self.root then
		self.root:removeAllChildren()
	end
end

function MainScene:clear()
end

return MainScene